oracle-rdbms-server-12cR1-preinstall包适用OS版本确定

页面导航:首页 > 数据库 > oracle > oracle-rdbms-server-12cR1-preinstall包适用OS版本确定

oracle-rdbms-server-12cR1-preinstall包适用OS版本确定

来源: 作者: 时间:2016-01-20 09:41 【

1、 ORACLE12cR1安装环境配置自动配置说明在ORACLE12C_R1(E50529_01)官方文档中,在Automatically Configuring Oracle Linux with Oracle PreinstallationRPM章节中,linux 6操作系统上,安

1、 ORACLE12cR1安装环境配置自动配置说明

在ORACLE12C_R1(E50529_01)官方文档中,在“Automatically Configuring Oracle Linux with Oracle PreinstallationRPM”章节中,linux 6操作系统上,安装ORACLE12C R1的环境准备,有延用ORACLE11G版本的oracle-rdbms-server-11gR1-preinstall自动配置方式,使用oracle-rdbms-server-12cR1-preinstall包自动来自动完成安装前配置工作。

关于自动配置方式(oracle-rdbms-server-11gR1-preinstall的具体用法,请参考笔者的另一篇文档《oracle_linux_6_64(bit)上安装oracle11gR2数据库环境快速准备神器oracle-rdbms-server-11gR2-preinstall》,链接地址为:http://blog.csdn.net/ljunjie82/article/details/37373595

2、问题

ORACLE 12C_R1(E50529_01)官方文档中,使用oracle-rdbms-server-12cR1-preinstall的OS版本只简单指明为OracleLinux 6,并没有指明具体的U几版本,官方原文如下:

Oracle Linux 6:

# yum install oracle-rdbms-server-12cR1-preinstall

那,oracle linux 6.2可以吗?6.3可以吗?6.4可以吗?6.5可以吗?

3、验证oracle linux具体提供oracle-rdbms-server-12cR1-preinstall功能的版本

(1)笔者经过对oracle linux 6系列各个U版本的oracle-rdbms-server-12cR1-preinstall包查看,均不存中,只存在oracle-rdbms-server-11gR1-preinstall包,即证明,oraclelinux 6.2、6.3、6.4、6.5上都是不具有oracle 12c的环境自动配置功能的,在配置有yum功能的情况下,验证如下:

[[email protected]_pertest ~]# yum install oracle-rdbms-server-12cR1-preinstall

Loaded plugins: refresh-packagekit, security

HighAvailability | 3.7 kB 00:00 ...

LoadBalancer | 3.7 kB 00:00 ...

Server | 3.7 kB 00:00 ...

oel6_local | 3.7 kB 00:00 ...

Setting up Install Process

No package oracle-rdbms-server-12cR1-preinstall available.

Error: Nothing to do

[[email protected]_pertest ~]#

(2)笔者对oracle linux 6U6(6.6)版本进行验证,发现该版本中,oracle-rdbms-server-12cR1-preinstall包存在。

 

4、尝试将oracle-rdbms-server-12cR1-preinstall移花接木在oracle linux 6.3上使用

oracle linux 6.3本身不具有oracle-rdbms-server-12cR1-preinstall包,想移花接木,将oraclelinux 6.6才有的此包安装到6.3上使用,但是发现oracle-rdbms-server-12cR1-preinstall功能在6.3版本上无法运行

(1)确认OS版本为oracle linux 6.3

[[email protected]_pertest etc]# more oracle-release

Oracle Linux Server release 6.3

(2)在oracle linux 6.3上安装oracle-rdbms-server-12cR1-preinstall包

[[email protected]_pertest soft]# rpm -ivh oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64.rpm

warning: oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY

Preparing... ########################################### [100%]

1:oracle-rdbms-server-12########################################## [100%]

(3)尝试使用oracle-rdbms-server-12cR1-preinstall功能

[[email protected]_pertest etc]# yum install oracle-rdbms-server-12cR1-preinstall

Loaded plugins: refresh-packagekit, security

Setting up Install Process

Nothing to do

[[email protected]_pertest etc]#

移花接木失败,说明oracle-rdbms-server-12cR1-preinstall只能够在oraclelinux 6.6以上版本中使用

5、结论

官方文档中指定的在Oracle 6上使用oracle-rdbms-server-12cR1-preinstall功能,其实应该具体指定到ORACLELinux 6U6(6.6)版本才能支持。

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<